#!/bin/sh
# 
# HPjmeter script
# JPackage Project <http://www.jpackage.org/>
# $Id: hpjmeter.hpjmeter.script,v 1.1 2002/05/11 13:09:33 guillomovitch Exp $

# Source functions library
. /usr/share/java-utils/java-functions

# Source system prefs
if [ -f /etc/hpjmeter.conf ] ; then 
  . /etc/hpjmeter.conf
fi

# Source user prefs
if [ -f $HOME/.hpjmeterrc ] ; then 
  . $HOME/.hpjmeterrc
fi

# Configuration
MAIN_CLASS=HPjmeter
BASE_JARS="hpjmeter"
BASE_FLAGS="-Xmx128m"

# Set parameters
set_jvm
set_classpath $BASE_JARS
set_flags $BASE_FLAGS
set_options $BASE_OPTIONS

# Let's start
run "$@"
